Subject: Re: [PATCH v6 net-next 3/3] selftests:net: Implement ptp4l sync test using netdevsim

From: Jakub Kicinski <[email-masked]>
Date: Tue, 26 May 2026 15:17:55 -0700

On Tue, 26 May 2026 17:10:46 +0200 Maciek Machnikowski wrote:
> >> +# By default, it:
> >> +# - Creates two netdevsim instances in separate namespaces
> >> +# - Assigns IPv4 addresses and links them together
> >> +# - Uses those interfaces as leader/follower endpoints for ptp4l
> >> +# Optional: --leader and --follower override endpoints with existing
> >> +# interfaces. Each argument can be either "ifname" (initial netns) or
> >> +# "netns:ifname". Both options must be provided together.  
> > 
> > Please use the existing DrvEpEnv infra!?  
> 
> It exists in the tools/testing/selftest/drivers/net and this script is
> in tools/testing/selftest/net. I can either keep  the self-contained
> test only, or move the script to the drivers/net - which one is preferred?

I assume you are adding the CLI --leader and --follower options to run
this against a real device, not netdevsim. In this case of course the
test should live under tools/testing/selftest/drivers/net